> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trymaven.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Auth

> Check if API key is valid.

Use this to verify your API key is working correctly.

**Authentication:** API Key (Bearer token)



## OpenAPI

````yaml /openapi.json get /v1/auth/check
openapi: 3.1.0
info:
  title: Maven API
  description: >-
    Voice payment infrastructure — collect credit card payments securely over
    phone calls.
  version: 1.0.0
servers: []
security: []
paths:
  /v1/auth/check:
    get:
      tags:
        - Public API (v1)
        - Auth
      summary: Check Auth
      description: |-
        Check if API key is valid.

        Use this to verify your API key is working correctly.

        **Authentication:** API Key (Bearer token)
      operationId: check_auth_v1_auth_check_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthCheckResponse'
      security:
        - API Key: []
components:
  schemas:
    AuthCheckResponse:
      properties:
        authenticated:
          type: boolean
          title: Authenticated
        org_id:
          type: string
          title: Org Id
        mode:
          type: string
          title: Mode
        message:
          type: string
          title: Message
      type: object
      required:
        - authenticated
        - org_id
        - mode
        - message
      title: AuthCheckResponse
      description: Response for auth check endpoint.
  securitySchemes:
    API Key:
      type: http
      description: 'Enter your API key: mvn_test_xxx or mvn_live_xxx'
      scheme: bearer

````